Package com.oracle.truffle.object.debug

## Class GraphvizShapeVisitor

- java.lang.Object
- - com.oracle.truffle.object.DebugShapeVisitor<GraphvizShapeVisitor>
  - - com.oracle.truffle.object.debug.GraphvizShapeVisitor

All Implemented Interfaces:
  `ShapeVisitor<GraphvizShapeVisitor>`

    public class GraphvizShapeVisitor
    extends DebugShapeVisitor<GraphvizShapeVisitor>

### Constructor Summary

Constructors
`GraphvizShapeVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`
`GraphvizShapeVisitor` `visitShape​(Shape shape, java.util.Map<? extends Transition,​? extends Shape> transitions)`

### Methods inherited from class com.oracle.truffle.object.DebugShapeVisitor

`getId, visitShape`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphvizShapeVisitor

    public GraphvizShapeVisitor()

### Method Detail

#### visitShape

    public GraphvizShapeVisitor visitShape​(Shape shape,
                                           java.util.Map<? extends Transition,​? extends Shape> transitions)

Specified by:
  `visitShape` in class `DebugShapeVisitor<GraphvizShapeVisitor>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`